Package com.io7m.idstore.server.internal.admin_v1

# Class IdA1AuthenticatedServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.internal.common.IdCommonInstrumentedServlet
com.io7m.idstore.server.internal.admin_v1.IdA1AuthenticatedServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

Direct Known Subclasses:
  `IdA1CommandServlet`

public abstract class IdA1AuthenticatedServlet extends IdCommonInstrumentedServlet
A servlet that checks that a user is authenticated before delegating execution to a subclass.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IdA1AuthenticatedServlet(IdServiceDirectoryType services)`
  A servlet that checks that a user is authenticated before delegating execution to a subclass.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final IdAdmin`
  `admin()`
  `protected final UUID`
  `adminId()`
  `protected final IdServerClock`
  `clock()`
  `protected abstract org.slf4j.Logger`
  `logger()`
  `protected final IdACB1Sends`
  `sends()`
  `protected final void`
  `service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse)`
  `protected abstract void`
  `serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, jakarta.servlet.http.HttpSession session)`
  `protected final IdServerStrings`
  `strings()`

  ### Methods inherited from class com.io7m.idstore.server.internal.common.IdCommonInstrumentedServlet

  `service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdA1AuthenticatedServlet

    protected IdA1AuthenticatedServlet(IdServiceDirectoryType services)
    A servlet that checks that a user is authenticated before delegating execution to a subclass.
    Parameters:
      `services` - The service directory

- ## Method Details

  - ### admin

    protected final IdAdmin admin()
    Returns:
      The authenticated user

  - ### adminId

    protected final UUID adminId()

  - ### sends

    protected final IdACB1Sends sends()

  - ### clock

    protected final IdServerClock clock()

  - ### strings

    protected final IdServerStrings strings()

  - ### logger

    protected abstract org.slf4j.Logger logger()

  - ### serviceAuthenticated

    protected abstract void serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, jakarta.servlet.http.HttpSession session) throws Exception
    Throws:
      `Exception`

  - ### service

    protected final void service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse) throws jakarta.servlet.ServletException, IOException
    Overrides:
      `service` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `jakarta.servlet.ServletException`
      `IOException`